$(function(){
    function loadRegion(regionCode) {
        var body = $('.emph-body');
        body.fadeTo('fast', 0.7);

        var success = function(data) {
            $('.emph-city_switch .pseudo').prev('span').html(data.title);
            body.html(data.body);
            body.fadeTo('fast', 1);
        }

        $.ajax({
            url: '/get_ep',
            dataType: 'json',
            cache: false,
            data: {
                regionCode: regionCode
            },
            success: success
        });
    }

    $('.emph-city_switch .pseudo').click(function(){
        $('.emph-city_block').fadeIn('fast');
    });
    $('.emphcb-inp .emphcb-erase').click(function(){
        $(this).closest('.emphcb-inp').find('input').val('').change().blur();
    });
    $('.emphcb-body ul').each(function(){
        columnize(this,3, 'emphcb-colunm');
    });
    $('.emph-city_block').on('click', '.emphcb-colunm a', function(e){
        var a = $(this);
        var regionCode = a.attr('rel');

        loadRegion(regionCode);

        $(e.delegateTarget).fadeOut('fast');
        return false;
    });

    if($.cookie('region_name')) {
        $('.emph-city_switch .pseudo').prev('span').html($.cookie('region_name'));
        loadRegion($.cookie('region_code'));
    } else {
        $('.emph-city_switch .pseudo').prev('span').html('Определение региона');
        loadRegion();
    }
});